Subject: Re: [PATCH] Test t5560: Fix test when run with dash

From: Junio C Hamano <[email-masked]>
Date: Thu, 14 Jan 2010 00:41:42 -0800

Tarmigan Casebolt <[email-masked]> writes:

> dash is more finicky than some shells and this change seems to make it
> happier.

"Finicky" won't help other people to learn what to avoid making the same
mistake in the future.  Please spell the problem out more explicitly.

I think the issue is that some shells do not like the "Run this command
(and only this command) under these environment variable settings"

	VAR1=VAL1 VAR2=VAL2 command

if "command" is a shell function.

Does that match your understanding of the problem?